data_dir  = "/opt/nomad/data"
datacenter = "dc1"
region = "eu-central"

server {
  enabled          = false
}

advertise {
  http = "localhost"
  rpc = "10.0.0.3"
  #serf = "10.0.0.3"
}

tls {
  http = true
  rpc  = true

  ca_file = "/etc/pki/ca-trust/source/anchors/hetzner_aditronic_bootstrap.pem"
  cert_file = "/etc/pki/tls/certs/hostcert.pem"
  key_file = "/etc/pki/tls/private/hostkey.pem"
}

consul {
  ssl = true
  address = "127.0.0.1:8501"
  grpc_address = "127.0.0.1:8503"
  ca_file = "/opt/nomad/tls/ca.pem"
  grpc_ca_file = "/opt/nomad/tls/ca.pem"
  cert_file = "/opt/nomad/tls/cert.pem"
  key_file = "/opt/nomad/tls/key.pem"
  verify_ssl = true
  token = "e95b599e-166e-7d80-08ad-aee76e7ddf19"
{{ with secret "bootstrapper_kv/data/nomad/client" }}
#{{ .Data.data.token }}{{ end }}
}

client {
  enabled = true
  network_interface = "{{ internal_network_interface }}"
}

plugin "docker" {
  config {
    infra_image = "10.0.0.2:5001/google_containers/pause-amd64:3.1"
  }
}
